Package com.independentsoft.office.word.customMarkup

# Class DataBinding

java.lang.Object
com.independentsoft.office.word.customMarkup.DataBinding

public class DataBinding extends Object
The Class DataBinding.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataBinding()`
  Instantiates a new data binding.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBinding`
  `clone()`
  `String`
  `getPrefixMappings()`
  Gets the prefix mappings.
  `String`
  `getStoreItemID()`
  Gets the store item id.
  `String`
  `getXPath()`
  Gets the x path.
  `void`
  `setPrefixMappings​(String prefixMappings)`
  Sets the prefix mappings.
  `void`
  `setStoreItemID​(String storeItemID)`
  Sets the store item id.
  `void`
  `setXPath​(String xpath)`
  Sets the x path.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataBinding

    public DataBinding()
    Instantiates a new data binding.

- ## Method Details

  - ### clone

    public DataBinding clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPrefixMappings

    public String getPrefixMappings()
    Gets the prefix mappings.
    Returns:
      the prefix mappings

  - ### setPrefixMappings

    public void setPrefixMappings​(String prefixMappings)
    Sets the prefix mappings.
    Parameters:
      `prefixMappings` - the new prefix mappings

  - ### getStoreItemID

    public String getStoreItemID()
    Gets the store item id.
    Returns:
      the store item id

  - ### setStoreItemID

    public void setStoreItemID​(String storeItemID)
    Sets the store item id.
    Parameters:
      `storeItemID` - the new store item id

  - ### getXPath

    public String getXPath()
    Gets the x path.
    Returns:
      the x path

  - ### setXPath

    public void setXPath​(String xpath)
    Sets the x path.
    Parameters:
      `xpath` - the new x path